Appearance
UserAbsence
A user's absences, such as vacation, sick leave or further training, of a UserAbsenceType. An absence by the day is widened to whole days, in the company's time zone; one by the hour starts and ends on the same day. workDays counts the days it takes from the user's working time.
OpenAPI Spec
List UserAbsences
GET
/v2/user-absences
List UserAbsences
Authorizations
apiKey
Type
HTTP (bearer)
Parameters
Query Parameters
page
Type
number
Minimum
0Default
0size
Type
number
Minimum
1Maximum
20Default
10uuid
userUuid
typeUuid
needApprovalByUuid
declinedByUuid
compensatedByUuid
startsAt
endsAt
requestedAt
approvedAt
declinedAt
status
externalId
createdAt
updatedAt
Responses
List response
application/json
JSON "page": 0, "pages": 0, "size": 10, "items": [ { "uuid": "string", "startsAt": "string", "endsAt": "string", "requestedAt": "string", "approvedAt": "string", "noteForApproval": "string", "declinedAt": "string", "declinedNote": "string", "compensationApprovedAt": "string", "compensationDeclinedAt": "string", "workDays": 0, "status": "string", "externalId": "string", "createdAt": "string", "updatedAt": "string", "typeUuid": "string", "userUuid": "string", "needApprovalByUuid": "string", "declinedByUuid": "string", "compensatedByUuid": "string" } ]
{
}
Create a new UserAbsence
POST
/v2/user-absences
Create a new UserAbsence
Authorizations
apiKey
Type
HTTP (bearer)
Request Body
application/json
JSON "uuid": "string", "startsAt": "string", "endsAt": "string", "requestedAt": "string", "approvedAt": "string", "noteForApproval": "string", "declinedAt": "string", "declinedNote": "string", "compensationApprovedAt": "string", "compensationDeclinedAt": "string", "externalId": null, "typeUuid": "string", "userUuid": "string", "needApprovalByUuid": "string", "declinedByUuid": "string", "compensatedByUuid": "string"
{
}
Responses
UserAbsence found
application/json
JSON "uuid": "string", "startsAt": "string", "endsAt": "string", "requestedAt": "string", "approvedAt": "string", "noteForApproval": "string", "declinedAt": "string", "declinedNote": "string", "compensationApprovedAt": "string", "compensationDeclinedAt": "string", "workDays": 0, "status": "string", "externalId": "string", "createdAt": "string", "updatedAt": "string", "typeUuid": "string", "userUuid": "string", "needApprovalByUuid": "string", "declinedByUuid": "string", "compensatedByUuid": "string"
{
}
Get a UserAbsence
GET
/v2/user-absences/{userAbsenceUuid}
Get a UserAbsence by ID
Authorizations
apiKey
Type
HTTP (bearer)
Parameters
Path Parameters
userAbsenceUuid*
Type
Requiredstring
Format
"uuid"Responses
UserAbsence found
application/json
JSON "uuid": "string", "startsAt": "string", "endsAt": "string", "requestedAt": "string", "approvedAt": "string", "noteForApproval": "string", "declinedAt": "string", "declinedNote": "string", "compensationApprovedAt": "string", "compensationDeclinedAt": "string", "workDays": 0, "status": "string", "externalId": "string", "createdAt": "string", "updatedAt": "string", "typeUuid": "string", "userUuid": "string", "needApprovalByUuid": "string", "declinedByUuid": "string", "compensatedByUuid": "string"
{
}
Delete a UserAbsence
Update a UserAbsence
PATCH
/v2/user-absences/{userAbsenceUuid}
Update a UserAbsence by ID
Authorizations
apiKey
Type
HTTP (bearer)
Parameters
Path Parameters
userAbsenceUuid*
Type
Requiredstring
Format
"uuid"Request Body
application/json
JSON "startsAt": "string", "endsAt": "string", "approvedAt": "string", "noteForApproval": "string", "declinedAt": "string", "declinedNote": "string", "compensationApprovedAt": "string", "compensationDeclinedAt": "string", "requestedAt": "string", "externalId": "string", "needApprovalByUuid": "string", "declinedByUuid": "string", "compensatedByUuid": "string"
{
}
Responses
UserAbsence found
application/json
JSON "uuid": "string", "startsAt": "string", "endsAt": "string", "requestedAt": "string", "approvedAt": "string", "noteForApproval": "string", "declinedAt": "string", "declinedNote": "string", "compensationApprovedAt": "string", "compensationDeclinedAt": "string", "workDays": 0, "status": "string", "externalId": "string", "createdAt": "string", "updatedAt": "string", "typeUuid": "string", "userUuid": "string", "needApprovalByUuid": "string", "declinedByUuid": "string", "compensatedByUuid": "string"
{
}